%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

## Minimum required versions.
%global	gtk2_min_version	2.18
%global	glib2_min_version	2.22.0
%global	tp_mc_min_version	5.0.0
%global	tp_glib_min_version	0.9.0
%global	enchant_version		1.2.0
%global network_manager_version 0.7.0
%global libcanberra_version     0.4
%global webkit_version          1.1.7
%global libnotify_version       0.4.4
%global libchamplain_version    0.4

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		empathy
Version:	2.28.1
Release:	1
BuildArch:	i686
Summary:	Instant Messaging Client for GNOME

Group:		Networking/Instant Messaging
License:	GPLv2+
URL:		http://live.gnome.org/Empathy

Source0:	http://download.gnome.org/sources/%{name}/2.28/%{name}-%{version}.tar.bz2
BuildRequires:	automake autoconf libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	enchant-devel >= %{enchant_version}
BuildRequires:	iso-codes-devel
BuildRequires:	desktop-file-utils
BuildRequires:	evolution-data-server-devel
BuildRequires:	GConf-devel
BuildRequires:	gettext
BuildRequires:	glib-devel >= %{glib2_min_version}
BuildRequires:	gnome-doc-utils
BuildRequires:	libcanberra-devel >= %{libcanberra_version}
BuildRequires:	webkitgtk-devel >= %{webkit_version}
BuildRequires:	gtk2+-devel >= %{gtk2_min_version}
BuildRequires:	intltool
BuildRequires:	libxml2-devel
BuildRequires:	scrollkeeper
BuildRequires:	telepathy-glib-devel >= %{tp_glib_min_version}
BuildRequires:	telepathy-farsight-devel
BuildRequires:	libnotify-devel >= %{libnotify_version}
BuildRequires:	gnome-keyring-devel
BuildRequires:  libchamplain-gtk-devel >= %{libchamplain_version} libchamplain-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:	unique-devel
BuildRequires:	nautilus-sendto gnome-doc-utils gstreamer10-devel gst-plugins-base-devel gnutls-devel libtasn1-devel libgpg-error-devel
BuildRequires: libproxy-devel libvorbis-devel libogg-devel which libxml2-python
BuildRequires: docbook-dtds docbook-style-xsl clutter-gtk-devel evolution-data-server-devel
BuildRequires: sqlite-devel gnome-keyring-devel GConf-devel dbus-devel dbus-glib-devel libgcrypt-devel


Requires:	telepathy-filesystem
Requires:	telepathy-mission-control >= %{tp_mc_min_version}
## We install the following connection managers by default.
Requires:	telepathy-gabble
#Requires:	telepathy-salut
Requires:	telepathy-idle
Requires:	telepathy-butterfly
Requires:	telepathy-haze

Requires(pre):	GConf
Requires(post):	GConf
Requires(post):	scrollkeeper
Requires(preun):	GConf
Requires(postun):	scrollkeeper

%description
Empathy is powerful multi-protocol instant messaging client which
supports Jabber, GTalk, MSN, IRC, Salut, and other protocols.
It is built on top of the Telepathy framework.


%prep
%setup -q
# force these to be regenerated
rm data/empathy.desktop
rm data/empathy.schemas

%build
## GCC complains about some unused functions, so we forcibly show those as
## simple warnings instead of build-halting errors.
%configure --disable-static PYTHON=/usr/bin/python%{PYVER}
## RPATHs are yucky.
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Parallel builds are broken.
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-install --vendor ccux --delete-original	\
	--dir %{buildroot}%{_datadir}/applications	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule	\
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
	gconftool-2 --makefile-uninstall-rule	\
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi


%postun
scrollkeeper-update -q || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/empathy
%{_bindir}/empathy-logs
#%{_libdir}/nautilus-sendto/plugins/libnstempathy.so
%{_datadir}/empathy/
%{_datadir}/applications/ccux-%{name}*.desktop
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Empathy.service
%{_datadir}/telepathy/clients/Empathy.client
%{_mandir}/man1/empathy*.1.gz
%_includedir
%_libdir/*.so*
%_libdir/*.la
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 2.28.1-1
- Initial CCux package release
